Page MenuHomePhabricator

Add phan to ReadingLists extension
Closed, ResolvedPublic

Description

As wmf deployed extension the ReadingLists extension should run phan on CI to found simple bugs in an earlier state of development.

The extension is using a trait for documentation of the database result wrapper, which makes phan very unhappy
See https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ReadingLists/+/509533/ for a first removable, but a replacement was requested. I have no idea how or what to do.

Details

Related Gerrit Patches:
mediawiki/extensions/ReadingLists : masterbuild: Add mediawiki/mediawiki-phan-config
integration/config : masterlayout: [ReadingLists] Enable Phan
integration/config : master[ReadingLists] Add phan dependency
mediawiki/extensions/ReadingLists : masterAdd phan

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 514062 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/ReadingLists@master] Add phan

https://gerrit.wikimedia.org/r/514062

Change 514062 abandoned by Gergő Tisza:
Add phan

Reason:
Seems way too much effort, as long as Phan offers no way of specifying the interface / base class of classes using a trait.

https://gerrit.wikimedia.org/r/514062

Tgr added a subscriber: Tgr.Jun 3 2019, 7:10 PM

Phan doesn't seem usable for code which makes use of traits, where the trait is always applied to classes with a given interface or base class, and makes use of the available methods (the kind of trait that would have a require in Hack). I think the most we can do here is to make sure that the appropriate upstream feature requests exist.

Tgr changed the task status from Open to Stalled.Jun 5 2019, 4:16 PM
Tgr moved this task from Needs triage to Tracking on the Product-Infrastructure-Team-Backlog board.

Upstream issue for for supporting traits that rely on a base class is #1067.

Daimona moved this task from Backlog to Extensions on the phan board.Sep 12 2019, 5:49 PM

Change 542752 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [ReadingLists] Add phan dependency

https://gerrit.wikimedia.org/r/542752

Change 542753 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/ReadingLists@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/542753

Umherirrender changed the task status from Stalled to Open.Oct 13 2019, 11:15 AM
Umherirrender claimed this task.
Umherirrender triaged this task as Normal priority.
Umherirrender removed a project: Upstream.

Change 542752 merged by jenkins-bot:
[integration/config@master] [ReadingLists] Add phan dependency

https://gerrit.wikimedia.org/r/542752

Change 543179 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [ReadingLists] Enable Phan

https://gerrit.wikimedia.org/r/543179

Change 543179 merged by jenkins-bot:
[integration/config@master] layout: [ReadingLists] Enable Phan

https://gerrit.wikimedia.org/r/543179

Mentioned in SAL (#wikimedia-releng) [2019-10-15T17:33:58Z] <James_F> Zuul: Enable Phan for ReadingLists T224762

Change 542753 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/542753

Jdforrester-WMF closed this task as Resolved.Oct 15 2019, 5:55 PM